Request banking for a verified third party
curl --request POST \
--url https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "MX",
"currency": "MXN",
"method": "bank_transfer"
}
'import requests
url = "https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents"
payload = {
"country": "MX",
"currency": "MXN",
"method": "bank_transfer"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: 'MX', currency: 'MXN', method: 'bank_transfer'})
};
fetch('https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => 'MX',
'currency' => 'MXN',
'method' => 'bank_transfer'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents"
payload := strings.NewReader("{\n \"country\": \"MX\",\n \"currency\": \"MXN\",\n \"method\": \"bank_transfer\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"MX\",\n \"currency\": \"MXN\",\n \"method\": \"bank_transfer\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"MX\",\n \"currency\": \"MXN\",\n \"method\": \"bank_transfer\"\n}"
response = http.request(request)
puts response.read_body{
"intent_id": "7f2a0000-0000-4000-8000-000000000001",
"kind": "kyc",
"verification_id": "c3d4e5f6-a7b8-4c9d-0e1f-2a3b4c5d6e7f",
"country": "MX",
"currency": "MXN",
"method": "bank_transfer",
"status": "pending",
"fulfilled_instrument_id": ""
}{
"error": "intent_abandoned",
"message": "the verification was rejected"
}{
"error": "verification_invalid",
"message": "third parties need their own verification"
}Request banking for a verified third party
POST
/
v1
/
kyc
/
submissions
/
{submissionID}
/
banking-intents
Request banking for a verified third party
curl --request POST \
--url https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "MX",
"currency": "MXN",
"method": "bank_transfer"
}
'import requests
url = "https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents"
payload = {
"country": "MX",
"currency": "MXN",
"method": "bank_transfer"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: 'MX', currency: 'MXN', method: 'bank_transfer'})
};
fetch('https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => 'MX',
'currency' => 'MXN',
'method' => 'bank_transfer'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents"
payload := strings.NewReader("{\n \"country\": \"MX\",\n \"currency\": \"MXN\",\n \"method\": \"bank_transfer\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"MX\",\n \"currency\": \"MXN\",\n \"method\": \"bank_transfer\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/kyc/submissions/{submissionID}/banking-intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"MX\",\n \"currency\": \"MXN\",\n \"method\": \"bank_transfer\"\n}"
response = http.request(request)
puts response.read_body{
"intent_id": "7f2a0000-0000-4000-8000-000000000001",
"kind": "kyc",
"verification_id": "c3d4e5f6-a7b8-4c9d-0e1f-2a3b4c5d6e7f",
"country": "MX",
"currency": "MXN",
"method": "bank_transfer",
"status": "pending",
"fulfilled_instrument_id": ""
}{
"error": "intent_abandoned",
"message": "the verification was rejected"
}{
"error": "verification_invalid",
"message": "third parties need their own verification"
}